//
//  Action.m
//  Industrial Revolution - a turn based business game.
//
//  Created by Andrew on 24/10/2004.
//  Copyright (C) 2004 Andrew Sage. All rights reserved.
//
//  This program is free software; you can redistribute it and/or modify  it under the terms of the GNU General Public
//  License as published by  the Free Software Foundation; either version 2 of the License.
//
//  This program is distributed in the hope that it will be useful,  but WITHOUT ANY WARRANTY; without even the implied
//  warranty of  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License  along with this program; if not, write to the
//  Free Software  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA


#import "Action.h"


@implementation Action

- (id) init
{
	self = [super init];
	
	[self setImage:[NSImage imageNamed:@"build_railway"]]; 
	
    return self;
}

- (void)setName:(NSString*)newName
{
	id old = name;
	name = [newName retain];
	[old release];	
}

- (NSString*)name
{
	return name;
}

-(void)setImage:(NSImage*)newImage
{
	id old = image;
	image = [newImage retain];
	[old release];
}

-(NSImage*)image
{
	return image;
}


- (void)setPositionIconWheel:(NSPoint)newPosition
{
	positionIconWheel = newPosition;
}

- (NSPoint)positionIconWheel
{
	return positionIconWheel;
}

- (SEL)process
{
	return process;
}

- (void)setProcess:(SEL)newProcess
{
	process = newProcess;
}


- (void)setParam1:(id)newParam
{
	id old = param1;
	param1 = [newParam retain];
	[old release];
}

- (id)param1
{
	return param1;
}

- (void)setDraggable:(BOOL)flag
{
	draggable = flag;
}

- (BOOL)draggable
{
	return draggable;
}

@end
