/* IRController */
//  Industrial Revolution - a turn based business game.
//
//  Created by Andrew on 24/10/2004.
//  Copyright (C) 2004 Andrew Sage. All rights reserved.
//
//  This program is free software; you can redistribute it and/or modify  it under the terms of the GNU General Public
//  License as published by  the Free Software Foundation; either version 2 of the License.
//
//  This program is distributed in the hope that it will be useful,  but WITHOUT ANY WARRANTY; without even the implied
//  warranty of  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License  along with this program; if not, write to the
//  Free Software  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA


#import <Cocoa/Cocoa.h>

@class IRGame, IRGameView;

@interface IRController : NSObject
{
    IBOutlet IRGame *game;
    IBOutlet IRGameView *view;
	IBOutlet NSMovieView* musicPlayer;
	
	IBOutlet NSMenuItem* musicOn;

}

- (IBAction)checkForNewVersion:(id)sender;
- (IBAction)toggleMusic:(id)sender;

@end
