//
//  Task.h
//  Industrial Revolution - a turn based business game.
//
//  Created by Andrew on 24/10/2004.
//  Copyright (C) 2004 Andrew Sage. All rights reserved.
//
//  This program is free software; you can redistribute it and/or modify  it under the terms of the GNU General Public
//  License as published by  the Free Software Foundation; either version 2 of the License.
//
//  This program is distributed in the hope that it will be useful,  but WITHOUT ANY WARRANTY; without even the implied
//  warranty of  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License  along with this program; if not, write to the
//  Free Software  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA


#import <Foundation/Foundation.h>


@interface Task : NSObject {
	NSString* title;	// task's title
	NSString* overview; // overview of the task
	
	SEL check;			// what are we checking for
	id param1;			// first param for checking
	id value;			// value we are checking for
	id checkObject;		// object that is being checked
	
	BOOL completed;		// has the task been completed?
}

-(void)setTitle:(NSString*)newTitle;
-(NSString*)title;

-(void)setOverview:(NSString*)newOverview;
-(NSString*)overview;

- (SEL)check;
- (void)setCheck:(SEL)newCheck;

- (void)setCheckObject:(id)newObject;
- (id)checkObject;

- (void)setParam1:(id)newParam;
- (id)param1;

- (void)setValue:(id)newValue;
- (id)value;

- (void)setCompleted:(BOOL)flag;
- (BOOL)completed;
@end
