//
//  Task.m
//  Industrial Revolution - a turn based business game.
//
//  Created by Andrew on 24/10/2004.
//  Copyright (C) 2004 Andrew Sage. All rights reserved.
//
//  This program is free software; you can redistribute it and/or modify  it under the terms of the GNU General Public
//  License as published by  the Free Software Foundation; either version 2 of the License.
//
//  This program is distributed in the hope that it will be useful,  but WITHOUT ANY WARRANTY; without even the implied
//  warranty of  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License  along with this program; if not, write to the
//  Free Software  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA


#import "Task.h"


@implementation Task

- (id) init
{
	self = [super init];

	completed = NO;
	
	return self;
}	


-(void)setTitle:(NSString*)newTitle
{
	id old = title;
	title = [newTitle retain];
	[old release];	
	
}

-(NSString*)title
{
	return title;
}

-(void)setOverview:(NSString*)newOverview
{
	id old = overview;
	overview = [newOverview retain];
	[old release];	
	
}

- (void)setParam1:(id)newParam
{
	id old = param1;
	param1 = [newParam retain];
	[old release];
}

- (id)param1
{
	return param1;
}

-(NSString*)overview
{
	return overview;
}

- (SEL)check
{
	return check;
}

- (void)setCheck:(SEL)newCheck
{
	check = newCheck;
}

- (void)setCheckObject:(id)newObject
{
	checkObject = newObject;
}

- (id)checkObject
{
	return checkObject;
}

- (void)setValue:(id)newValue
{
	id old = value;
	value = [newValue retain];
	[old release];
}

- (id)value
{
	return value;
}

- (void)setCompleted:(BOOL)flag
{
	completed = flag;
}

- (BOOL)completed
{
	return completed;
}
@end
